/*
 *	COMMON.H
 *	LaMoSca (LAboratorio di MOtori per SCAcchi)
 *	versione 0.03
 *	2001 Pietro Valocchi
 */


/* dimensionamenti */
#define NUMEROCASE		64
#define CASEPERRIGA		8
#define NUMEROPEZZI		6
#define MAXMOSSE		1024


/* contenuto case */
#define BIANCO			0
#define NERO			1

#define PEDONE			0
#define CAVALLO			1
#define ALFIERE			2
#define TORRE			3
#define REGINA			4
#define RE				5

#define VUOTO			6


/* elemento dello stack delle mosse per una determinata posizione */
typedef struct {
	int Da;
	int A;
} Mossa;


/* descrizione di una casa della scacchiera */
typedef struct {
	int Colore;
	int Pezzo;
} Casa;


/* macro */

#define RIGA(x)			(x >> 3)
#define COLONNA(x)		(x & 7)
#define CC(x)			(COLONNA(x) + 'a')
#define RD(x)			(8 - RIGA(x))

/* generali */

#define BOOL			int
#define TRUE			1
#define FALSE			0

/* prototipi di funzioni */
void Inizializza();
BOOL MossaAvversario(char *);
void MossaProgramma(char *);
